'use strict';

var vue = require('vue');

const prefixCls = "x-blockquote";
const Blockquote = vue.defineComponent({
  name: prefixCls,
  props: {},
  setup(_, {
    slots
  }) {
    return () => {
      var _a;
      return vue.createVNode("blockquote", {
        "class": prefixCls
      }, [(_a = slots.default) == null ? void 0 : _a.call(slots)]);
    };
  }
});
Blockquote.install = (app) => {
  app.component(Blockquote.name, Blockquote);
};

module.exports = Blockquote;
