'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function getRowClassName(rowCLassName, row, index) {
  if (typeof rowCLassName === "function") {
    return rowCLassName(row, index);
  } else {
    return rowCLassName;
  }
}
function getColumnClassName(column, index) {
  const { className } = column;
  if (typeof className === "function") {
    return className(column, index);
  } else {
    return className;
  }
}
function renderTitle(column) {
  return typeof column.title === "function" ? column.title(column) : column.title;
}

exports.getColumnClassName = getColumnClassName;
exports.getRowClassName = getRowClassName;
exports.renderTitle = renderTitle;
