import { name } from './interface.js';
import Skeleton from './skeleton.js';
export { default as Skeleton, default } from './skeleton.js';
import SkeletonItem from './skeleton-item.js';
export { default as SkeletonItem } from './skeleton-item.js';
import './style/index.js';

Skeleton.install = (app) => {
  app.directive(name, Skeleton);
  app.directive(`${name}-item`, SkeletonItem);
};
