import { MaybeComputedElementRef } from '@vueuse/core';
import { ExtractPropTypes } from 'vue';
import { MessageProps } from './Message';
export type MessageManagerExpose = {
    add: (options: MessageProps) => MessageProps & {
        close: () => void;
    };
    remove: (key: string | number) => void;
    removeAll: () => void;
};
export declare const messageManagerProps: {
    prefixCls: StringConstructor;
    max: NumberConstructor;
};
type MessageManagerProps = ExtractPropTypes<typeof messageManagerProps>;
declare const MessageManager: import("vue").DefineComponent<{
    prefixCls: StringConstructor;
    max: NumberConstructor;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
    prefixCls: StringConstructor;
    max: NumberConstructor;
}>>, {}>;
export declare function newInstace(props: MessageManagerProps & {
    to?: MaybeComputedElementRef;
}): MessageManagerExpose;
export default MessageManager;
