export default alignElement;
export function alignElement(el: any, refNode: any, align: any): {
    points: any;
    offset: any;
    targetOffset: any;
    overflow: {
        adjustX: boolean;
        adjustY: boolean;
    };
};
export namespace alignElement {
    export { getOffsetParent as __getOffsetParent };
    export { getVisibleRectForElement as __getVisibleRectForElement };
}
/**
 * `tgtPoint`: { pageX, pageY } or { clientX, clientY }.
 * If client position provided, will internal convert to page position.
 */
export function alignPoint(el: any, tgtPoint: any, align: any): {
    points: any;
    offset: any;
    targetOffset: any;
    overflow: {
        adjustX: boolean;
        adjustY: boolean;
    };
};
declare function getOffsetParent(element: any): any;
/**
 * 获得元素的显示部分的区域
 */
declare function getVisibleRectForElement(element: any, alwaysByViewport: any): {
    left: number;
    right: number;
    top: number;
    bottom: number;
};
