import { ExtractPropTypes, PropType } from 'vue';
import { MaybeComputedElementRef } from '@vueuse/core';
declare const anchorProps: {
    value: StringConstructor;
    type: {
        type: PropType<"rail" | "block">;
        default: string;
    };
    showBackground: {
        type: BooleanConstructor;
        default: boolean;
    };
    offset: {
        type: NumberConstructor;
        default: number;
    };
    container: PropType<string | MaybeComputedElementRef<import("@vueuse/core").MaybeElement>>;
    scrollDuration: {
        type: NumberConstructor;
        default: number;
    };
};
export type AnchorProps = ExtractPropTypes<typeof anchorProps>;
declare const _sfc_main: import("vue").DefineComponent<{
    value: StringConstructor;
    type: {
        type: PropType<"rail" | "block">;
        default: string;
    };
    showBackground: {
        type: BooleanConstructor;
        default: boolean;
    };
    offset: {
        type: NumberConstructor;
        default: number;
    };
    container: PropType<string | MaybeComputedElementRef<import("@vueuse/core").MaybeElement>>;
    scrollDuration: {
        type: NumberConstructor;
        default: number;
    };
}, {
    ns: {
        b: () => string;
        m: (m: string) => string;
        e: (e: string) => string;
        em: (e: string, m: string) => string;
        is: (name: string, state: boolean) => string;
    };
    anchorRef: import("vue").Ref<HTMLElement>;
    barRef: import("vue").Ref<HTMLElement>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
    value: StringConstructor;
    type: {
        type: PropType<"rail" | "block">;
        default: string;
    };
    showBackground: {
        type: BooleanConstructor;
        default: boolean;
    };
    offset: {
        type: NumberConstructor;
        default: number;
    };
    container: PropType<string | MaybeComputedElementRef<import("@vueuse/core").MaybeElement>>;
    scrollDuration: {
        type: NumberConstructor;
        default: number;
    };
}>> & {
    onChange?: (...args: any[]) => any;
}, {
    type: "rail" | "block";
    showBackground: boolean;
    offset: number;
    scrollDuration: number;
}>;
export default _sfc_main;
