import { Ref, InjectionKey, PropType } from 'vue';
import { WillOption } from '../_util/normalizeOptions';
export type CheckboxGroupContextProps = {
    disabledRef: Ref<boolean>;
    nameRef: Ref<string>;
    valueRef: Ref<Array<string | number>>;
    toggleOption: (opt: object) => void;
};
export declare const checkboxGroupContext: InjectionKey<CheckboxGroupContextProps>;
declare const _default: import("vue").DefineComponent<{
    name: StringConstructor;
    options: PropType<WillOption[]>;
    value: ArrayConstructor;
    vertical: BooleanConstructor;
    disabled: BooleanConstructor;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:value")[], "change" | "update:value", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    name: StringConstructor;
    options: PropType<WillOption[]>;
    value: ArrayConstructor;
    vertical: BooleanConstructor;
    disabled: BooleanConstructor;
}>> & {
    onChange?: (...args: any[]) => any;
    "onUpdate:value"?: (...args: any[]) => any;
}, {
    disabled: boolean;
    vertical: boolean;
}>;
export default _default;
