import { Option, Value } from './interface';
export declare function useMenu(props: {
    disabled: boolean;
    value: Value;
}): {
    menuContext: import("./Menu").MenuContextProps;
    submenuContext: import("./Submenu").SubmenuContextProps;
    horizontalRef: import("vue").ComputedRef<boolean>;
    inlineRef: import("vue").ComputedRef<boolean>;
    indentRef: import("vue").ComputedRef<number>;
    parentPaddingLeftRef: import("vue").ComputedRef<number>;
    paddingLeftRef: import("vue").ComputedRef<number>;
    disabledRef: import("vue").ComputedRef<boolean>;
    isActiveRef: import("vue").ComputedRef<boolean>;
    isRoot: boolean;
};
export declare function createItem(node: Option): import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>;
export declare function traverseTree(tree: Option[], cb: (opt: Option) => void): void;
export declare function getNonLeafKeys(tree: Option[]): Value[];
export declare function treeFindPath(tree: Option[], func: (opt: Option) => boolean, path?: Value[]): Value[];
