import { PropType } from "vue";
declare const _default: import("vue").DefineComponent<{
    prefixCls: {
        default: string;
    };
    trigger: {
        type: PropType<import("../trigger/Trigger").ActionType>;
        default: string;
    };
    disabled: BooleanConstructor;
    title: PropType<import("vue").VNodeChild | JSX.Element>;
    visible: BooleanConstructor;
    popupClass: (ObjectConstructor | StringConstructor)[];
    popupStyle: (ObjectConstructor | StringConstructor)[];
    transitionName: {
        default: string;
    };
    getPopupContainer: PropType<(triggerNode: HTMLElement) => HTMLElement>;
    align: PropType<import("../align/interface").AlignType>;
    placement: {
        type: PropType<"left" | "right" | "top" | "bottom" | "topLeft" | "leftTop" | "topRight" | "rightTop" | "bottomRight" | "rightBottom" | "bottomLeft" | "leftBottom">;
        default: string;
    };
    builtinPlacements: PropType<{
        left: {
            points: string[];
            overflow: {
                adjustX: number;
                adjustY: number;
            };
            offset: number[];
            targetOffset: number[];
        };
        right: {
            points: string[];
            overflow: {
                adjustX: number;
                adjustY: number;
            };
            offset: number[];
            targetOffset: number[];
        };
        top: {
            points: string[];
            overflow: {
                adjustX: number;
                adjustY: number;
            };
            offset: number[];
            targetOffset: number[];
        };
        bottom: {
            points: string[];
            overflow: {
                adjustX: number;
                adjustY: number;
            };
            offset: number[];
            targetOffset: number[];
        };
        topLeft: {
            points: string[];
            overflow: {
                adjustX: number;
                adjustY: number;
            };
            offset: number[];
            targetOffset: number[];
        };
        leftTop: {
            points: string[];
            overflow: {
                adjustX: number;
                adjustY: number;
            };
            offset: number[];
            targetOffset: number[];
        };
        topRight: {
            points: string[];
            overflow: {
                adjustX: number;
                adjustY: number;
            };
            offset: number[];
            targetOffset: number[];
        };
        rightTop: {
            points: string[];
            overflow: {
                adjustX: number;
                adjustY: number;
            };
            offset: number[];
            targetOffset: number[];
        };
        bottomRight: {
            points: string[];
            overflow: {
                adjustX: number;
                adjustY: number;
            };
            offset: number[];
            targetOffset: number[];
        };
        rightBottom: {
            points: string[];
            overflow: {
                adjustX: number;
                adjustY: number;
            };
            offset: number[];
            targetOffset: number[];
        };
        bottomLeft: {
            points: string[];
            overflow: {
                adjustX: number;
                adjustY: number;
            };
            offset: number[];
            targetOffset: number[];
        };
        leftBottom: {
            points: string[];
            overflow: {
                adjustX: number;
                adjustY: number;
            };
            offset: number[];
            targetOffset: number[];
        };
    }>;
    mouseEnterDelay: {
        default: number;
    };
    mouseLeaveDelay: {
        default: number;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:visible" | "visibleChange")[], "update:visible" | "visibleChange", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    prefixCls: {
        default: string;
    };
    trigger: {
        type: PropType<import("../trigger/Trigger").ActionType>;
        default: string;
    };
    disabled: BooleanConstructor;
    title: PropType<import("vue").VNodeChild | JSX.Element>;
    visible: BooleanConstructor;
    popupClass: (ObjectConstructor | StringConstructor)[];
    popupStyle: (ObjectConstructor | StringConstructor)[];
    transitionName: {
        default: string;
    };
    getPopupContainer: PropType<(triggerNode: HTMLElement) => HTMLElement>;
    align: PropType<import("../align/interface").AlignType>;
    placement: {
        type: PropType<"left" | "right" | "top" | "bottom" | "topLeft" | "leftTop" | "topRight" | "rightTop" | "bottomRight" | "rightBottom" | "bottomLeft" | "leftBottom">;
        default: string;
    };
    builtinPlacements: PropType<{
        left: {
            points: string[];
            overflow: {
                adjustX: number;
                adjustY: number;
            };
            offset: number[];
            targetOffset: number[];
        };
        right: {
            points: string[];
            overflow: {
                adjustX: number;
                adjustY: number;
            };
            offset: number[];
            targetOffset: number[];
        };
        top: {
            points: string[];
            overflow: {
                adjustX: number;
                adjustY: number;
            };
            offset: number[];
            targetOffset: number[];
        };
        bottom: {
            points: string[];
            overflow: {
                adjustX: number;
                adjustY: number;
            };
            offset: number[];
            targetOffset: number[];
        };
        topLeft: {
            points: string[];
            overflow: {
                adjustX: number;
                adjustY: number;
            };
            offset: number[];
            targetOffset: number[];
        };
        leftTop: {
            points: string[];
            overflow: {
                adjustX: number;
                adjustY: number;
            };
            offset: number[];
            targetOffset: number[];
        };
        topRight: {
            points: string[];
            overflow: {
                adjustX: number;
                adjustY: number;
            };
            offset: number[];
            targetOffset: number[];
        };
        rightTop: {
            points: string[];
            overflow: {
                adjustX: number;
                adjustY: number;
            };
            offset: number[];
            targetOffset: number[];
        };
        bottomRight: {
            points: string[];
            overflow: {
                adjustX: number;
                adjustY: number;
            };
            offset: number[];
            targetOffset: number[];
        };
        rightBottom: {
            points: string[];
            overflow: {
                adjustX: number;
                adjustY: number;
            };
            offset: number[];
            targetOffset: number[];
        };
        bottomLeft: {
            points: string[];
            overflow: {
                adjustX: number;
                adjustY: number;
            };
            offset: number[];
            targetOffset: number[];
        };
        leftBottom: {
            points: string[];
            overflow: {
                adjustX: number;
                adjustY: number;
            };
            offset: number[];
            targetOffset: number[];
        };
    }>;
    mouseEnterDelay: {
        default: number;
    };
    mouseLeaveDelay: {
        default: number;
    };
}>> & {
    "onUpdate:visible"?: (...args: any[]) => any;
    onVisibleChange?: (...args: any[]) => any;
}, {
    disabled: boolean;
    prefixCls: string;
    mouseEnterDelay: number;
    mouseLeaveDelay: number;
    visible: boolean;
    placement: "left" | "right" | "top" | "bottom" | "topLeft" | "leftTop" | "topRight" | "rightTop" | "bottomRight" | "rightBottom" | "bottomLeft" | "leftBottom";
    trigger: import("../trigger/Trigger").ActionType;
    transitionName: string;
}>;
export default _default;
