'use strict';

var tooltipProps = {
  prefixCls: { default: "x-tooltip" },
  trigger: { type: String, default: "hover" },
  disabled: Boolean,
  // popup
  title: [String, Number, Object, Array],
  visible: Boolean,
  popupClass: [String, Object],
  popupStyle: [String, Object],
  transitionName: { default: "zoom-ani" },
  getPopupContainer: Function,
  // popup align
  align: Object,
  placement: { type: String, default: "top" },
  builtinPlacements: Object,
  // target
  mouseEnterDelay: { default: 100 },
  mouseLeaveDelay: { default: 100 }
};

module.exports = tooltipProps;
