import { isObject } from '@vue/shared';

function normalizeOption(option) {
  var _a, _b;
  return isObject(option) ? ((_a = option.label) != null ? _a : option.label = option.value, (_b = option.value) != null ? _b : option.value = option.label, option) : { label: option, value: option };
}
function normalizeOptions(options) {
  return options.map(normalizeOption);
}
function mapOptions(options, cb) {
  return options.map((e) => cb(normalizeOption(e)));
}

export { mapOptions, normalizeOption, normalizeOptions };
