import { InjectionKey, Ref } from 'vue';
import { AnchorProps } from './Anchor.vue';
export interface AnchorContextProps {
    value: Ref<string>;
    links: AnchorLinkContextProps[];
    setActive(href: string): any;
    props: AnchorProps;
}
export interface AnchorLinkContextProps {
    el: HTMLElement;
    indent: number;
    href: string;
}
export declare const AnchorContextKey: InjectionKey<AnchorContextProps>;
export declare const AnchorLiinkContextKey: InjectionKey<AnchorLinkContextProps>;
