import { Ref } from 'vue';
import { GridProps } from './Grid';
type Props = GridProps & Pick<Required<GridProps>, 'prefixCls' | 'start' | 'modelValue' | 'rangeValue' | 'onSelect' | 'onHover' | 'disabled' | 'onGroupChange'> & {
    _ref?: Ref;
};
export declare const dateProps: GridProps;
export declare const DateGrid: (props: Props) => JSX.Element;
export declare const monthProps: GridProps;
export declare const MonthGrid: (props: Props) => JSX.Element;
export declare const yearProps: GridProps;
export declare const YearGrid: (props: Props) => JSX.Element;
export {};
