export declare const placements: {
    left: {
        points: string[];
        overflow: {
            adjustX: number;
            adjustY: number;
        };
        targetOffset: number[];
    };
    right: {
        points: string[];
        overflow: {
            adjustX: number;
            adjustY: number;
        };
        targetOffset: number[];
    };
    top: {
        points: string[];
        overflow: {
            adjustX: number;
            adjustY: number;
        };
        targetOffset: number[];
    };
    bottom: {
        points: string[];
        overflow: {
            adjustX: number;
            adjustY: number;
        };
        targetOffset: number[];
    };
    topLeft: {
        points: string[];
        overflow: {
            adjustX: number;
            adjustY: number;
        };
        targetOffset: number[];
        useCssBottom: boolean;
    };
    leftTop: {
        points: string[];
        overflow: {
            adjustX: number;
            adjustY: number;
        };
        targetOffset: number[];
    };
    topRight: {
        points: string[];
        overflow: {
            adjustX: number;
            adjustY: number;
        };
        targetOffset: number[];
        useCssBottom: boolean;
        useCssRight: boolean;
    };
    rightTop: {
        points: string[];
        overflow: {
            adjustX: number;
            adjustY: number;
        };
        targetOffset: number[];
    };
    bottomRight: {
        points: string[];
        overflow: {
            adjustX: number;
            adjustY: number;
        };
        targetOffset: number[];
        useCssRight: boolean;
    };
    rightBottom: {
        points: string[];
        overflow: {
            adjustX: number;
            adjustY: number;
        };
        targetOffset: number[];
    };
    bottomLeft: {
        points: string[];
        overflow: {
            adjustX: number;
            adjustY: number;
        };
        targetOffset: number[];
    };
    leftBottom: {
        points: string[];
        overflow: {
            adjustX: number;
            adjustY: number;
        };
        targetOffset: number[];
    };
};
export default placements;
