import { ExtractPropTypes, PropType } from "vue";
import { FormItemRule } from "./interface";
declare const formItemProps: {
    prefixCls: {
        default: string;
    };
    layout: PropType<"vertical" | "horizontal">;
    label: StringConstructor;
    labelWidth: NumberConstructor;
    prop: StringConstructor;
    rules: PropType<FormItemRule | FormItemRule[]>;
    required: BooleanConstructor;
    first: BooleanConstructor;
    extra: StringConstructor;
};
export type FormItemProps = ExtractPropTypes<typeof formItemProps>;
declare const _default: import("vue").DefineComponent<{
    prefixCls: {
        default: string;
    };
    layout: PropType<"vertical" | "horizontal">;
    label: StringConstructor;
    labelWidth: NumberConstructor;
    prop: StringConstructor;
    rules: PropType<FormItemRule | FormItemRule[]>;
    required: BooleanConstructor;
    first: BooleanConstructor;
    extra: StringConstructor;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
    prefixCls: {
        default: string;
    };
    layout: PropType<"vertical" | "horizontal">;
    label: StringConstructor;
    labelWidth: NumberConstructor;
    prop: StringConstructor;
    rules: PropType<FormItemRule | FormItemRule[]>;
    required: BooleanConstructor;
    first: BooleanConstructor;
    extra: StringConstructor;
}>>, {
    required: boolean;
    prefixCls: string;
    first: boolean;
}>;
export default _default;
