import { PropType, StyleValue } from 'vue';
import { Tab } from './Tabbar';
export type TabbarType = 'bar' | 'line' | 'card' | 'border-card' | 'segment';
declare const _default: import("vue").DefineComponent<{
    value: (StringConstructor | NumberConstructor)[];
    defaultValue: (StringConstructor | NumberConstructor)[];
    size: {
        type: PropType<"small" | "medium" | "large">;
        default: string;
    };
    barStyle: PropType<StyleValue>;
    justify: PropType<string>;
    type: {
        type: PropType<TabbarType>;
        default: string;
    };
    beforeLeave: PropType<(name: string | number, oldName: string | number) => boolean | Promise<boolean>>;
    tabs: PropType<Tab[]>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:value"[], "update:value", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: (StringConstructor | NumberConstructor)[];
    defaultValue: (StringConstructor | NumberConstructor)[];
    size: {
        type: PropType<"small" | "medium" | "large">;
        default: string;
    };
    barStyle: PropType<StyleValue>;
    justify: PropType<string>;
    type: {
        type: PropType<TabbarType>;
        default: string;
    };
    beforeLeave: PropType<(name: string | number, oldName: string | number) => boolean | Promise<boolean>>;
    tabs: PropType<Tab[]>;
}>> & {
    "onUpdate:value"?: (...args: any[]) => any;
}, {
    type: TabbarType;
    size: "small" | "medium" | "large";
}>;
export default _default;
